# 32/64bit spec-file
#
Summary:        Image downloader for external devices
Summary(de):	Bilder Downloader für externe Geräte
Name:           rapid-photo-downloader
Version:        0.9.33
Release:        %mkrel 2
Group:          Graphics
License:        GPLv2+
URL:            http://www.damonlynch.net/rapid/
Source:         http://www.damonlynch.net/rapid/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:	intltool
BuildRequires:	bzr
BuildRequires:	gobject-introspection
Requires:   python3-babel
Requires:	python3-colour
Requires:	python3-pyprind
Requires:	python3-arrow
Requires:	python3-colorlog
Requires:	python3-rawkit
Requires:	python3-easygui 
Requires:	python3-pymediainfo
Requires:	python3-sortedcontainers 
Requires:	python3-pycurl
Requires:	python3-tornado
Requires:	python3-gphoto2
Requires:	python3-d2to1
Requires:	python3-psutil
Requires:	python3-pyzmq
Requires:	python3-pyxdg
Requires:	python3-dateutil
Requires:	python3-pyprind
Requires:	python3-requests
Requires:	python3-six
Requires:	python3-chardet
Requires:	python3-idna
Requires:	python3-urllib3
Requires:	python3-qt5
Requires:	python3-distutils-extra
Requires:	python3-gobject3
Requires:	python3-tenacity
Requires:   python3-show-in-file-manager
Requires:	exiv2
Requires:	exif
Requires:	hicolor-icon-theme
Requires:	ffmpegthumbnailer
Requires:	libnotify
Requires:	lib64gexiv2_2
Requires:	LibRaw
Requires:	udisks2
Requires:	qtimageformats5
Requires:	perl-Image-ExifTool
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-libav
Requires:   mediainfo
Obsoletes: 	%name < %version

%description
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. It can download photos from multiple memory
cards and Portable Storage Devices simultaneously. It provides a variety
of options for sub-folder creation, image renaming and backup.It does not
download images directly from a camera unless the camera is recognized as 
an external drive.

#german
%description -l de
Rapid Photo Downloader ist ein Vertreter der Unix Philosophie "ein Werkzeug
für eine Aufgabe". Wie der Name schon sagt, ist die einzige Aufgabe von Rapid
Photo Downloader das runterladen und umbenenne von Fotos, egal ob von CF oder SD Karten.
Dass spezielle von Rapid Photo Downloader dagegen ist, er kann es gleichzeitig von verschiedenen Quellen. 
Mit Rapid Photo Downloader kann man:

    * Seine Fotos in ein vordefinierten Ordner runterladen
    * Beim runterladen die Fotos gleichzeitig umbenenne.
    * Während des runterladen und umbenenne ein Backup der Fotos machen.

Rapid Photo Downloader ist überaus einfach zu konfigurieren, mit ein paar
Klicks hat man seine gewünschte Einstellungen eingerichtet und schon kann
es los gehen.

%prep
%setup -q 
%apply_patches

%build
%py3_build


%install
#build_icons and build_translations simply stage those files for install (data_files) in setup.py
%{__python3} setup.py build_icons build_translations install -O1 --skip-build --root=%{buildroot}

%__install -d %{buildroot}%{_iconsdir}/%{name}
cp -a data/icons/* %{buildroot}%{_iconsdir}/%{name}/


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}


%post
%update_icon_cache hicolor


%postun
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_iconsdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{python3_sitelib}
%{_datadir}/metainfo/*.xml
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/*
%{_datadir}/solid/actions/*.desktop

%changelog
* Tue Sep 06 2022 tex - 0.9.33-2pclos2022
- add req python3-babel

* Wed Aug 24 2022 TerryN <terryn94 at gmail.com>  0.9.33-1pclos2022
- update and rebuild for python 3.10

* Fri Jan 31 2020 tex - 0.9.18-1pclos2020
- new version

* Wed Jun 26 2019 tex - 0.9.14-1pclos2019
- new version

* Tue Jan 22 2019 tex - 0.9.13-1pclos2019
- new version

